Submitted By: Jim Gifford (patches at jg555 dot com)
Date: 2005-08-27
Initial Package Version: 4.0.1
Origin: Jim Gifford
        Rediffed against 4.1.0 by Chris Staub
Upstream Status: On Hold
Description: Makes GCC Posix Compliant
 
diff -Naur gcc-4.1.0.orig/contrib/test_summary gcc-4.1.0/contrib/test_summary
--- gcc-4.1.0.orig/contrib/test_summary	2004-08-26 01:51:22.000000000 -0400
+++ gcc-4.1.0/contrib/test_summary	2006-02-28 22:08:16.000000000 -0500
@@ -106,7 +106,7 @@
     srcdir = configflags;
     sub(/\/configure .*/, "", srcdir);
     printf "LAST_UPDATED: ";
-    system("tail -1 " srcdir "/LAST_UPDATED");
+    system("tail -n 1 " srcdir "/LAST_UPDATED");
     print "";
 
     sub(/^[^ ]*\/configure */, " ", configflags);
diff -Naur gcc-4.1.0.orig/gcc/configure gcc-4.1.0/gcc/configure
--- gcc-4.1.0.orig/gcc/configure	2006-02-14 11:50:45.000000000 -0500
+++ gcc-4.1.0/gcc/configure	2006-02-28 22:08:16.000000000 -0500
@@ -14318,7 +14318,7 @@
   # and we got the correct data, then succeed.
   if test x$gcc_cv_objdump != x \
   && $gcc_cv_objdump -s -j .eh_frame conftest.o 2>/dev/null \
-     | tail -3 > conftest.got \
+     | tail -n 3 > conftest.got \
   && { cmp conftest.lit conftest.got > /dev/null 2>&1 \
     || cmp conftest.big conftest.got > /dev/null 2>&1; }
   then
diff -Naur gcc-4.1.0.orig/gcc/configure.ac gcc-4.1.0/gcc/configure.ac
--- gcc-4.1.0.orig/gcc/configure.ac	2006-02-14 11:50:45.000000000 -0500
+++ gcc-4.1.0/gcc/configure.ac	2006-02-28 22:08:16.000000000 -0500
@@ -2124,7 +2124,7 @@
   # and we got the correct data, then succeed.
   if test x$gcc_cv_objdump != x \
   && $gcc_cv_objdump -s -j .eh_frame conftest.o 2>/dev/null \
-     | tail -3 > conftest.got \
+     | tail -n 3 > conftest.got \
   && { cmp conftest.lit conftest.got > /dev/null 2>&1 \
     || cmp conftest.big conftest.got > /dev/null 2>&1; }
   then
diff -Naur gcc-4.1.0.orig/libjava/configure gcc-4.1.0/libjava/configure
--- gcc-4.1.0.orig/libjava/configure	2006-02-28 03:39:11.000000000 -0500
+++ gcc-4.1.0/libjava/configure	2006-02-28 22:08:16.000000000 -0500
@@ -6736,8 +6736,8 @@
 echo $ECHO_N "checking whether 'ld' is at least 2.13... $ECHO_C" >&6
 LD_PROG=`$CC --print-prog-name=ld`
 LD_VERSION=`$LD_PROG --version`
-LD_VERSION_MAJOR=`echo "$LD_VERSION" | head -1 | cut -d '.' -f 1 | cut -d ' ' -f 4`
-LD_VERSION_MINOR=`echo "$LD_VERSION" | head -1 | cut -d '.' -f 2`
+LD_VERSION_MAJOR=`echo "$LD_VERSION" | head -n 1 | cut -d '.' -f 1 | cut -d ' ' -f 4`
+LD_VERSION_MINOR=`echo "$LD_VERSION" | head -n 1 | cut -d '.' -f 2`
 if expr "$LD_VERSION_MAJOR" \> 2 > /dev/null; then
   LD_OK="ok"
 else
diff -Naur gcc-4.1.0.orig/libjava/mingwld.m4 gcc-4.1.0/libjava/mingwld.m4
--- gcc-4.1.0.orig/libjava/mingwld.m4	2005-08-22 18:36:35.000000000 -0400
+++ gcc-4.1.0/libjava/mingwld.m4	2006-02-28 22:08:16.000000000 -0500
@@ -3,8 +3,8 @@
 AC_MSG_CHECKING(whether 'ld' is at least 2.13)
 LD_PROG=`$CC --print-prog-name=ld`
 LD_VERSION=`$LD_PROG --version`
-LD_VERSION_MAJOR=`echo "$LD_VERSION" | head -1 | cut -d '.' -f 1 | cut -d ' ' -f 4`
-LD_VERSION_MINOR=`echo "$LD_VERSION" | head -1 | cut -d '.' -f 2`
+LD_VERSION_MAJOR=`echo "$LD_VERSION" | head -n 1 | cut -d '.' -f 1 | cut -d ' ' -f 4`
+LD_VERSION_MINOR=`echo "$LD_VERSION" | head -n 1 | cut -d '.' -f 2`
 if expr "$LD_VERSION_MAJOR" \> 2 > /dev/null; then
   LD_OK="ok"
 else
diff -Naur gcc-4.1.0.orig/libstdc++-v3/acinclude.m4 gcc-4.1.0/libstdc++-v3/acinclude.m4
--- gcc-4.1.0.orig/libstdc++-v3/acinclude.m4	2006-01-19 17:55:55.000000000 -0500
+++ gcc-4.1.0/libstdc++-v3/acinclude.m4	2006-02-28 22:08:16.000000000 -0500
@@ -223,7 +223,7 @@
   # Start by getting the version number.  I think the libtool test already
   # does some of this, but throws away the result.
   changequote(,)
-  ldver=`$LD --version 2>/dev/null | head -1 | \
+  ldver=`$LD --version 2>/dev/null | head -n 1 | \
          sed -e 's/GNU ld version \([0-9.][0-9.]*\).*/\1/'`
   changequote([,])
   glibcxx_gnu_ld_version=`echo $ldver | \
diff -Naur gcc-4.1.0.orig/libstdc++-v3/configure gcc-4.1.0/libstdc++-v3/configure
--- gcc-4.1.0.orig/libstdc++-v3/configure	2006-01-19 17:55:55.000000000 -0500
+++ gcc-4.1.0/libstdc++-v3/configure	2006-02-28 22:08:16.000000000 -0500
@@ -8201,7 +8201,7 @@
   # Start by getting the version number.  I think the libtool test already
   # does some of this, but throws away the result.
 
-  ldver=`$LD --version 2>/dev/null | head -1 | \
+  ldver=`$LD --version 2>/dev/null | head -n -1 | \
          sed -e 's/GNU ld version \([0-9.][0-9.]*\).*/\1/'`
 
   glibcxx_gnu_ld_version=`echo $ldver | \
@@ -53040,7 +53040,7 @@
   # Start by getting the version number.  I think the libtool test already
   # does some of this, but throws away the result.
 
-  ldver=`$LD --version 2>/dev/null | head -1 | \
+  ldver=`$LD --version 2>/dev/null | head -n -1 | \
          sed -e 's/GNU ld version \([0-9.][0-9.]*\).*/\1/'`
 
   glibcxx_gnu_ld_version=`echo $ldver | \
@@ -74372,7 +74372,7 @@
   # Start by getting the version number.  I think the libtool test already
   # does some of this, but throws away the result.
 
-  ldver=`$LD --version 2>/dev/null | head -1 | \
+  ldver=`$LD --version 2>/dev/null | head -n -1 | \
          sed -e 's/GNU ld version \([0-9.][0-9.]*\).*/\1/'`
 
   glibcxx_gnu_ld_version=`echo $ldver | \
@@ -75867,7 +75867,7 @@
   # Start by getting the version number.  I think the libtool test already
   # does some of this, but throws away the result.
 
-  ldver=`$LD --version 2>/dev/null | head -1 | \
+  ldver=`$LD --version 2>/dev/null | head -n -1 | \
          sed -e 's/GNU ld version \([0-9.][0-9.]*\).*/\1/'`
 
   glibcxx_gnu_ld_version=`echo $ldver | \
@@ -77238,7 +77238,7 @@
   # Start by getting the version number.  I think the libtool test already
   # does some of this, but throws away the result.
 
-  ldver=`$LD --version 2>/dev/null | head -1 | \
+  ldver=`$LD --version 2>/dev/null | head -n -1 | \
          sed -e 's/GNU ld version \([0-9.][0-9.]*\).*/\1/'`
 
   glibcxx_gnu_ld_version=`echo $ldver | \
@@ -79396,7 +79396,7 @@
   # Start by getting the version number.  I think the libtool test already
   # does some of this, but throws away the result.
 
-  ldver=`$LD --version 2>/dev/null | head -1 | \
+  ldver=`$LD --version 2>/dev/null | head -n -1 | \
          sed -e 's/GNU ld version \([0-9.][0-9.]*\).*/\1/'`
 
   glibcxx_gnu_ld_version=`echo $ldver | \
@@ -80720,7 +80720,7 @@
   # Start by getting the version number.  I think the libtool test already
   # does some of this, but throws away the result.
 
-  ldver=`$LD --version 2>/dev/null | head -1 | \
+  ldver=`$LD --version 2>/dev/null | head -n -1 | \
          sed -e 's/GNU ld version \([0-9.][0-9.]*\).*/\1/'`
 
   glibcxx_gnu_ld_version=`echo $ldver | \
@@ -82093,7 +82093,7 @@
   # Start by getting the version number.  I think the libtool test already
   # does some of this, but throws away the result.
 
-  ldver=`$LD --version 2>/dev/null | head -1 | \
+  ldver=`$LD --version 2>/dev/null | head -n -1 | \
          sed -e 's/GNU ld version \([0-9.][0-9.]*\).*/\1/'`
 
   glibcxx_gnu_ld_version=`echo $ldver | \
@@ -83858,7 +83858,7 @@
   # Start by getting the version number.  I think the libtool test already
   # does some of this, but throws away the result.
 
-  ldver=`$LD --version 2>/dev/null | head -1 | \
+  ldver=`$LD --version 2>/dev/null | head -n -1 | \
          sed -e 's/GNU ld version \([0-9.][0-9.]*\).*/\1/'`
 
   glibcxx_gnu_ld_version=`echo $ldver | \
@@ -85944,7 +85944,7 @@
   # Start by getting the version number.  I think the libtool test already
   # does some of this, but throws away the result.
 
-  ldver=`$LD --version 2>/dev/null | head -1 | \
+  ldver=`$LD --version 2>/dev/null | head -n -1 | \
          sed -e 's/GNU ld version \([0-9.][0-9.]*\).*/\1/'`
 
   glibcxx_gnu_ld_version=`echo $ldver | \
diff -Naur gcc-4.1.0.orig/ltcf-c.sh gcc-4.1.0/ltcf-c.sh
--- gcc-4.1.0.orig/ltcf-c.sh	2005-11-18 17:53:08.000000000 -0500
+++ gcc-4.1.0/ltcf-c.sh	2006-02-28 22:08:16.000000000 -0500
@@ -153,7 +153,7 @@
     # If the export-symbols file already is a .def file (1st line
     # is EXPORTS), use it as is.
     # If DATA tags from a recent dlltool are present, honour them!
-    archive_expsym_cmds='if test "x`head -1 $export_symbols`" = xEXPORTS; then
+    archive_expsym_cmds='if test "x`head -n 1 $export_symbols`" = xEXPORTS; then
         cp $export_symbols $output_objdir/$soname-def;
       else
         echo EXPORTS > $output_objdir/$soname-def;
diff -Naur gcc-4.1.0.orig/ltcf-gcj.sh gcc-4.1.0/ltcf-gcj.sh
--- gcc-4.1.0.orig/ltcf-gcj.sh	2005-07-15 22:30:53.000000000 -0400
+++ gcc-4.1.0/ltcf-gcj.sh	2006-02-28 22:08:16.000000000 -0500
@@ -156,7 +156,7 @@
     # If the export-symbols file already is a .def file (1st line
     # is EXPORTS), use it as is.
     # If DATA tags from a recent dlltool are present, honour them!
-    archive_expsym_cmds='if test "x`head -1 $export_symbols`" = xEXPORTS; then
+    archive_expsym_cmds='if test "x`head -n 1 $export_symbols`" = xEXPORTS; then
         cp $export_symbols $output_objdir/$soname-def;
       else
         echo EXPORTS > $output_objdir/$soname-def;
